# Interface SizeJson

Specifies the largest marker size to use at any given map scale. This is required if valueUnit is set to unknown.

See https://developers.arcgis.com/web-map-specification/objects/maxSize/ https://developers.arcgis.com/web-map-specification/objects/minSize/ https://developers.arcgis.com/web-scene-specification/objects/maxSize/ https://developers.arcgis.com/web-scene-specification/objects/minSize/.

interface SizeJson {
expression?: string;
stops?: SizeStopJson[];
target?: string;
type?: string;
}

#####
Index

### Properties

expression?
stops?
target?
type?

##
Properties

### `Optional` expression

expression?: string

The value which allows a size to be defined based on the map scale. Currently, the only supported expression is, view.scale.

### `Optional` stops

stops?: SizeStopJson[]

An array of objects that define the maximum size of the symbol at various values of the expression. Each object in the array has a numeric size property and a numeric value property. If the value calculated from the expression matches the value of a stop, than the size corresponding to that stop is selected. For example, if expression is set to view.scale, the value corresponds to the map's scale. The size represents the maximum symbol size (in pixels) that corresponds to this scale. If the map scale matches the scale value of a stop, the size corresponding to that stop value is used as the maximum symbol size for the features. If the map scale value falls between two stops, the maximum symbol size is interpolated between the sizes of the two stops. The minSize and maxSize stop values are usually the same, although it is possible to have different values depending on how minSize is calculated versus the maxSize.

### `Optional` target

target?: string

Value indicating that sizeInfo should be applied to the outline of polygons. This value can be outline or null.

### `Optional` type

type?: string

Value indicating the type of rendering, e.g. 'sizeInfo'.